Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
heap_cursor Struct Reference

## Data Fields
RVALUE * | slot
size_t | index
struct heap_page * | page
rb_objspace_t * | objspace

## Detailed Description

Definition at line 7665 of file gc.c.

## Field Documentation

## ◆ index

size_t heap_cursor::index

Definition at line 7667 of file gc.c.

## ◆ objspace

rb_objspace_t* heap_cursor::objspace

Definition at line 7669 of file gc.c.

## ◆ page

struct heap_page* heap_cursor::page

Definition at line 7668 of file gc.c.

## ◆ slot

RVALUE* heap_cursor::slot

Definition at line 7666 of file gc.c.

The documentation for this struct was generated from the following file:

- gc.c